(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/basic", "@tsparticles/plugin-emitters", "@tsparticles/plugin-emitters-shape-square", "@tsparticles/updater-life", "./options.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadHyperspacePreset = void 0;
    const basic_1 = require("@tsparticles/basic");
    const plugin_emitters_1 = require("@tsparticles/plugin-emitters");
    const plugin_emitters_shape_square_1 = require("@tsparticles/plugin-emitters-shape-square");
    const updater_life_1 = require("@tsparticles/updater-life");
    const options_js_1 = require("./options.js");
    async function loadHyperspacePreset(engine, refresh = true) {
        await (0, basic_1.loadBasic)(engine, false);
        await (0, plugin_emitters_1.loadEmittersPlugin)(engine, false);
        await (0, plugin_emitters_shape_square_1.loadEmittersShapeSquare)(engine, false);
        await (0, updater_life_1.loadLifeUpdater)(engine, false);
        await engine.addPreset("hyperspace", options_js_1.options, false);
        await engine.refresh(refresh);
    }
    exports.loadHyperspacePreset = loadHyperspacePreset;
});
